<?
//-- 모바일, PC 접근 일 때 각각 경로. ★★★★★ --------------------------------------------------

//-- 모바일 환경 검사 -----------------------------------------------------------------------------
//-- 환경 설정에서 모바일 사용을 체크 했거나 모바일 환경으로 접근했을 때 모바일 스킨 적용
//-- 모바일 구분 쿠키 값이 저장 됐으면 모바일 스킨 적용. 쿠키 값 우선
//-- 모바일 접근인데 $is_mobile이 false이면 [모바일 보기] 버튼을 하단에 출력
//-- ----------------------------------------------------------------------------------------------
if($platform == "mobile" || $platform == "pc") {
	setcookie("cook_mobile", $platform);
	$cook_mobile	= $platform;
}else{
	$cook_mobile	= $_COOKIE['cook_mobile'];
}

if($cook_mobile == "mobile"){
	//-- 쿠키가 모바일이면 일단 모바일 스킨
	$is_mobile = true;
}elseif($cook_mobile == "pc"){
	//-- 쿠키가 PC면 일단 PC 스킨
	$is_mobile = false;
}else{
	//-- 쿠키가 없을 때는 접속 환경에 따라 변경
	if(is_mobile()){
		$is_mobile = true;
	}
}
define('ZM_IS_MOBILE', $is_mobile);

//-- $zm_board ------------------------------------------------------------------------------------
if($bo_table) {
	$rs_board	= sql_query("select db_variable, db_value from $zmb[table_board_config] where db_table='$bo_table'");
	while($rd_board = sql_fetch_array($rs_board)) {
		$zm_board[$rd_board[db_variable]] = $rd_board[db_value];
	}
}
//-------------------------------------------------------------------------------------------------


//-- $zm_config -----------------------------------------------------------------------------------
$tmpqry		= sql_query("select * from $zmb[table_config]");
while($tmpres = sql_fetch_array($tmpqry)) {
	$zm_config[$tmpres[db_variable]]	= $tmpres[db_value];
}

//-- $zm_levelname(등급명), $zm_member. 회원 등금병 지정
$temp_levelname	= explode("/", $zm_config[memlevelname]);

for($i = 1; $i <= 10; $i++) 
	$zm_levelname[$i]	= $temp_levelname[$i-1];

$member[mb_levelname]	= $zm_levelname[$member[mb_level]]; 

$temp_loginfail	= explode("/", $zm_config[loginfail]);
$zm_config[loginfailcount]	= $temp_loginfail[0];
$zm_config[loginbanterm]	= $temp_loginfail[1];

$zm_config[watermarkpath]	= $g4[path] . "/zm.extend/watermark_zms.gif";			//-- 워터마크. 경우에 따라 수정 해서 사용

unset($zm_config[loginfail]);
unset($zm_config[memlevelname]);


//-- $zm_member -----------------------------------------------------------------------------------
//-- db_school1 학교1, db_school2 학교2, db_school3 학교3 -----------------------------------------
if($member[mb_id]) {
	$tmpqry		= sql_query("select * from $zmb[table_member] where db_id='$member[mb_id]'");
	$resmem		= sql_fetch_array($tmpqry);
	if($resmem) {
		foreach($resmem as $key=>$value) {
			$nkey		= str_replace("db_", "", $key);
			$zm_member[$nkey]	= $value;
		}
		$tmpscl		= explode("/", $zm_member[school]);
		for($i = 0; $i < count($tmpscl); $i++){
			$tscl	= explode("&", $tmpscl[$i]);
			$tkeys	= "school" . ($i+1);
			$tkeyi	= "iphak" . ($i+1);
			$zm_member[$tkeys]	= $tscl[0];
			$zm_member[$tkeyi]	= $tscl[1];
		}
	}else{
		//-- 확장 테이블에 레코드 없으면 생성
		sql_query("insert into $zmb[table_member] set db_id='$member[mb_id]'");
	}

	$tmpsns		= explode("/", $zm_member[sns_link]);
	$zm_member[sns_link_f]		= $tmpsns[0];
	$zm_member[sns_link_t]		= $tmpsns[1];
	$zm_member[sns_link_y]		= $tmpsns[2];
	$zm_member[sns_link_m]		= $tmpsns[3];

	//-- 프로필 공개 설정
	$temp		= explode("/", $zm_member[profile_open_level]);
	if($member[mb_open] == "1") {
		$zm_member[profile_open_level]		= $temp[0];
		$zm_member[profile_open_condition]	= $temp[1];
	}else{
		$zm_member[profile_open_level]		= $temp[0];
		$zm_member[profile_open_condition]	= "3";				//-- 비공개
	}

	//-- 불필요한 요소 삭제 ---------------------
	unset($zm_member[school]);	
	unset($zm_member[sns_link]);

	$blist	= sql_fetch("select * from $zmb[table_blacklist_mem] where db_block_id='$member[mb_id]'");
	//-- 블랙리스트에 정보가 있음. 1번이라도 신고가 된 상태
	if($blist[db_block_id]) {
		//-- 서비스 이용 제한 중임
		if($blist[db_block_end] >= date("Y-m-d H:i:s", $g4[server_time]) || $blist[db_flag]) {
			$tmp_srvc	= explode("/", $blist[db_block_service]);
			$zm_member[service_write]	= $tmp_srvc[0];			//-- 글쓰기 서비스
			$zm_member[service_memo]	= $tmp_srvc[1];			//-- 쪽지 서비스
			if($blist[db_flag] != "1")	$zm_member[service_end]		= $blist[db_block_end];	//-- 서비스 제한 기간
		}
	}
} /* member */


?>